Tp::Service::ConnectionInterfaceServicePointAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ConnectionInterfaceServicePointAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Signals
void | ServicePointsChanged (const Tp::ServicePointInfoList &servicePoints)

## Public Member Functions
Tp::ServicePointInfoList | KnownServicePoints () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.ServicePoint".

## Member Function Documentation

Tp::ServicePointInfoList Tp::Service::ConnectionInterfaceServicePointAdaptor::KnownServicePoints | ( |  | ) | const

Return the value of the exported D-Bus object property `KnownServicePoints` of type `Tp::ServicePointInfoList`.

Adaptees should export this property as a Qt property named 'knownServicePoints' with type Tp::ServicePointInfoList.

The list of all (known) service points.

Returns
  The value of exported property `KnownServicePoints`.

void Tp::Service::ConnectionInterfaceServicePointAdaptor::ServicePointsChanged | ( | const Tp::ServicePointInfoList & | servicePoints | ) |
| signal

Represents the exported D-Bus signal `ServicePointsChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void servicePointsChanged(const Tp::ServicePointInfoList& servicePoints);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  servicePoints | The new value of \\\ \\link requestPropertyKnownServicePoints() KnownServicePoints \\endlink \\htmlonly .